
include $(TOPDIR)/rules.mk

PKG_NAME:=comm-touch
PKG_VERSION:=1.0.0
PKG_RELEASE:=1

#PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz

include $(INCLUDE_DIR)/package.mk
  
define Package/comm-touch
  SECTION:=base
  CATEGORY:=DrayTek Applications
  TITLE:=commtouch
  PKG_BUILD_DEPENDS:=+libuci +libnetfilter-queue
endef

define Package/vdslcli/description
	commtouch for WCF
endef

define Build/Compile
	$(INSTALL_DIR) $(PKG_BUILD_DIR)/binary
	tar xzfO $(PKG_NAME)_$(PKG_VERSION)-$(PKG_RELEASE)_arm.ipk ./data.tar.gz | tar -C $(PKG_BUILD_DIR)/binary -xzf -
endef

define Package/comm-touch/install
	@echo "Install.................."
#	$(CP) $(PKG_BUILD_DIR)/binary/* $(1)
endef

$(eval $(call BuildPackage,comm-touch))